<?php
/**
 * Block Patterns
 *
 * @package fse_business
 * @since 1.0
 */

function fse_business_register_block_patterns() {
	$block_pattern_categories = array(
		'fse-business' => array( 'label' => esc_html__( 'FSE Business', 'fse-business' ) ),
		'pages'       => array( 'label' => esc_html__( 'Pages', 'fse-business' ) ),
	);

	$block_pattern_categories = apply_filters( 'fse_business_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'fse_business_register_block_patterns', 9 );